com.mapinfo.midev.language

## Interface ISearch

All Known Implementing Classes:
  AggregatingSearch, FilterSearch

    public interface ISearch

Identifies a query that can be supplied to an `IDataSourceTable` to search for data. Tables provide robust searching capabilities to locate the specific attributes of the specific features that satisfy some criterion. The features may also be sorted. Performing such an operation requires the specification of the search to perform and typically involves language constructs such as expressions involving functions and operators. `ISearch` is a language interface that identifies an object that defines a search operation.

### Method Summary

All Methods Instance Methods Abstract Methods
`ILanguage` `getLanguage()` Returns the language that this `ISearch` is in.

### Method Detail

#### getLanguage

    ILanguage getLanguage()

Returns the language that this `ISearch` is in.

Returns:
  the language that this `ISearch` is in.